from uuid import UUID

from pydantic import BaseModel, ConfigDict


class ChapterBaseSchema(BaseModel):
    name: str | None = None


class ChapterIdSchema(BaseModel):
    id: UUID

    model_config = ConfigDict(from_attributes=True)


class ChapterSchema(ChapterBaseSchema, ChapterIdSchema):
    pass
